e7c7a8bf54
This commit adds a number of patches from package/gcc/5.4.0 to package/gcc/musl-5.4.0, so that they apply to the or1k specific gcc version. All patches from package/gcc/5.4.0 that are not architecture specific and not related to the musl C library have been added to package/gcc/musl-5.4.0/. Note that doing a symbolic link does not work, as some patches from package/gcc/5.4.0 do not apply as-is to the or1k gcc version. The most important patch is 850-libstdcxx-uclibc-c99.patch, which fixes a number of build issues. Fixes: http://autobuild.buildroot.net/results/eebf4ce5ecb896e54912cfa21268e81ff5fb6593/ (alljoyn) http://autobuild.buildroot.net/results/8dbf406898a59e36ac6a1e16f543b6260da775c8/ (jsoncpp) http://autobuild.buildroot.net/results/206fbd5473c8c6840489990cb2552566c62ef3c8/ (dawgic) Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
16 lines
603 B
Diff
16 lines
603 B
Diff
Index: b/contrib/regression/objs-gcc.sh
|
|
===================================================================
|
|
--- a/contrib/regression/objs-gcc.sh
|
|
+++ b/contrib/regression/objs-gcc.sh
|
|
@@ -106,6 +106,10 @@
|
|
then
|
|
make all-gdb all-dejagnu all-ld || exit 1
|
|
make install-gdb install-dejagnu install-ld || exit 1
|
|
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
|
|
+ then
|
|
+ make all-gdb all-dejagnu all-ld || exit 1
|
|
+ make install-gdb install-dejagnu install-ld || exit 1
|
|
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
|
|
make bootstrap || exit 1
|
|
make install || exit 1
|